import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { Navigate } from 'react-router-dom';
import { SelectedPatternIdAtom } from '../context/Patterns';

const PatternNavigator: FC = () => {
  const selected = useAtomValue(SelectedPatternIdAtom);

  return selected === null ? <Navigate to="new" /> : <Navigate to="edit" />;
};

export default PatternNavigator;
