import { Icon } from '@iconify/react/dist/iconify.js';
import { FC } from 'react';
import { ScrollArea } from '../../components/ScrollArea';
import styles from './PulseList.module.css';

const PulseList: FC = () => {
  return (
    <>
      <div className={styles.pulse_tools}>
        <button className="text">
          <Icon icon="material-symbols-light:add" />
          <span>Add Pulse</span>
        </button>
      </div>
      <div className={styles.pulses}>
        <ScrollArea enableY></ScrollArea>
      </div>
    </>
  );
};

export default PulseList;
